<?php
namespace Mirasvit\Search\Index\Magento\Cms\Page\BatchDataMapper;

/**
 * Interceptor class for @see \Mirasvit\Search\Index\Magento\Cms\Page\BatchDataMapper
 */
class Interceptor extends \Mirasvit\Search\Index\Magento\Cms\Page\BatchDataMapper implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Service\ContentService $contentService, \Mirasvit\Search\Index\Context $context)
    {
        $this->___init();
        parent::__construct($contentService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function map(array $documentData, $storeId, array $context = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'map');
        return $pluginInfo ? $this->___callPlugins('map', func_get_args(), $pluginInfo) : parent::map($documentData, $storeId, $context);
    }
}
